#include <iostream>
#include <time.h>
using namespace std;

int main()
{
    srand(time(0));
    long int n,c,q;
    cin>>n>>c>>q;
    char s[n];
    int l[q],r[q];
    int i;
    for(i=0;i<n;i++)
    {
        cin>>s[i];
    }
    for(i=0;i<q;i++)
    {
        cin>>l[i]>>r[i];
    }
    for(i=0;i<q;++i)
    {
        cout<<rand()%10<<endl;
    }
    return 0;
}